<?php
include_once(_DIR_TO_CLASS.'/c_page.php') ;
CMD_check_setting() ;
CMD_check_db() ;

 function CMD_check_setting()
 {  include_once(_DIR_TO_MODULES.'/engine/i_setup.php') ;
     SETUP()->check_setting_and_log()  ;
 }

 function CMD_check_db()
 {reboot_engine() ;
  $cnt_sql_cmd=0 ;
  include_once(_DIR_EXT.'/db/i_table_checked.php') ;
  ?><h1>Проверка структуры объектных таблиц</h1><?
  ?><table class=table_checked><?
   $options=array('no_update_descr_tables'=>1,
                  'no_show_button'=>1,
                  'show_in_outer_table'=>1,
                  'no_check_not_used_field'=>1,
                  'no_check_type_fields'=>1
                 );
   if (_sizeof($_SESSION['descr_obj_tables'])) foreach ($_SESSION['descr_obj_tables'] as $obj) $cnt_sql_cmd+=table_checked($obj->pkey,$options) ;
  ?></table><?
  //return(array('no_default_panel'=>1)) ;
 }

?>
